const widgets = require("widget");
const tabs = require("tabs");
const ss = require("simple-storage");
const ntf = require("notifications");
const req = require("request").Request;
const self = require("self");
const timer = require("timer");

var widget = widgets.Widget({
  id: "smzdm-link",
  label: "http://www.smzdm.com/",
  content: "什么值得买 实时推送",
  width: 130,
  tooltip: "点击查看详情",
  onClick: function(){
    tabs.open(this.label);
  }
});

function mainloop(){
    console.log("start");
    var messageReq = req({
        url: "http://push.smzdm.com/chrome/messages",
        onComplete: function (response) {
            var msg_size = response.json.length;
            for (var i=msg_size-1; i>-1; i--){
                var last_date = ss.storage.last_date;
                if ((response.json[i].msg_date > last_date)||last_date==undefined){
                    console.log(response.json[i].msg_date);
                    var msg_title = response.json[i].msg_title;
                    var msg_url = response.json[i].msg_url;
                    var msg_date = response.json[i].msg_date.substr(0,19);
                    var widget_width = (msg_title.length + msg_date.length)*9+5;
                    widget.width = widget_width;
                    widget.content = "SMZDM："+msg_title + " - " + msg_date;
                    widget.label = msg_url
                    ntf.notify({
                        title:msg_title,
                        text:"点我查看详情",
                        data:msg_url,
                        onClick: function(data){
                            tabs.open(data);
                        }
                    });
                    ss.storage.last_date = response.json[i].msg_date;
                }
            }
        }
    }).get();
}

timer.setTimeout(mainloop, 10000);
timer.setInterval(mainloop, 60000);
